GET api/bagapi/bagsbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"bag_status_id": "aeeecea7-c8da-4bd8-a5fe-2563cc8988cc",
"cleanroom_type_id": "05383df3-3633-4a76-92f7-0d9240b3b4c9",
"code": 3,
"date_hu": "2026-09-24T02:29:54.4280349+00:00",
"id": "c3ebadd0-d4c4-417a-b677-2adbebb209fc",
"site_id": "380177c7-b17b-46d1-a0a4-26384eb262b7",
"wash_count": 6,
"position": 7,
"pc_id": "1cdcd5a5-161a-4277-a366-79b9623f23b3"
},
{
"active": true,
"bag_status_id": "aeeecea7-c8da-4bd8-a5fe-2563cc8988cc",
"cleanroom_type_id": "05383df3-3633-4a76-92f7-0d9240b3b4c9",
"code": 3,
"date_hu": "2026-09-24T02:29:54.4280349+00:00",
"id": "c3ebadd0-d4c4-417a-b677-2adbebb209fc",
"site_id": "380177c7-b17b-46d1-a0a4-26384eb262b7",
"wash_count": 6,
"position": 7,
"pc_id": "1cdcd5a5-161a-4277-a366-79b9623f23b3"
}
]
application/xml, text/xml
Sample:
<ArrayOfbag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<bag>
<active>true</active>
<bag_status_id>aeeecea7-c8da-4bd8-a5fe-2563cc8988cc</bag_status_id>
<cleanroom_type_id>05383df3-3633-4a76-92f7-0d9240b3b4c9</cleanroom_type_id>
<code>3</code>
<date_hu>2026-09-24T02:29:54.4280349+00:00</date_hu>
<id>c3ebadd0-d4c4-417a-b677-2adbebb209fc</id>
<pc_id>1cdcd5a5-161a-4277-a366-79b9623f23b3</pc_id>
<position>7</position>
<site_id>380177c7-b17b-46d1-a0a4-26384eb262b7</site_id>
<wash_count>6</wash_count>
</bag>
<bag>
<active>true</active>
<bag_status_id>aeeecea7-c8da-4bd8-a5fe-2563cc8988cc</bag_status_id>
<cleanroom_type_id>05383df3-3633-4a76-92f7-0d9240b3b4c9</cleanroom_type_id>
<code>3</code>
<date_hu>2026-09-24T02:29:54.4280349+00:00</date_hu>
<id>c3ebadd0-d4c4-417a-b677-2adbebb209fc</id>
<pc_id>1cdcd5a5-161a-4277-a366-79b9623f23b3</pc_id>
<position>7</position>
<site_id>380177c7-b17b-46d1-a0a4-26384eb262b7</site_id>
<wash_count>6</wash_count>
</bag>
</ArrayOfbag>